<?
  function authenticate( $user, $pass )
  {
    global $authmod;

    $status = -1;

    if( !is_array( $authmod ) )
      die( 'No authentication modules have been enabled in config.inc.php!' );
    else
    {
      // Try each registered authentication module until we find one that
      // works...
      //
      foreach( $authmod as $type => $cfg )
      {
        // Load the include file for the module...
        //
	if( isset( $cfg['incfile'] ) )
          $incfile = $cfg['incfile'];
	else
          $incfile = "auth/$type.inc";

        require_once( $incfile );

        // Create an instance of the module class...
        //
        if( isset( $cfg['classname'] ) )
          $classname = $cfg['classname'];
        else
          $classname = "SAAuth_$type";

        // Evaluates to something like: $auth = new SAAuth_type( $cfg );
        //
        eval( '$auth = new ' . $classname . '( $cfg );' );

        // Check to see if the username/password combo is valid
        $status = $auth->authenticate( $user, $pass );

        if( 0 == $status )
          break; // We have a winner!
      }
    }

    return $status;
  }
?>
