<?
include("config.inc.php");
session_name("spamassassin");
session_start();


// if user is already logged in, ie the "username" session var is already
// registered, then un-register, thus logging that user out automatically

if(isset($_SESSION["username"]) ) {
  unset($_SESSION["username"]);
}

// if $usesssl is enabled, then check if the request is made with HTTPS,
// SSL, on, and if not, redirect to the HTTPS server.

if (false != $usessl) {
  $baselocation = "https://$sitename";
} else {
  $baselocation = "http://$sitename";
}
if ($phpsapath != "") {
  $baselocation .= "/$phpsapath";
}

if(!strtolower($_SERVER['HTTPS']) == 'on' and false != $usessl) {
  $location = "$baselocation/login.php";
  header("Location: $location");
  exit;
}


$status = -1; 		// init the auth status var
$loginerror = 0;

if( isset( $post_login ) )
{
  if( $status != 0 )
  {
    require_once( 'auth.php' );
    $status = authenticate( $post_username, $post_password );
  }

  if( $status != 0 )
    $loginerror = 1;
  else
  {
    // login successful, redirect to index.php, checking to see
    // if redirect should use SSL or not.
    //$loginerror = 0;
    $username = $post_username;
    $_SESSION['username'] = $username;
    $location = "$baselocation/index.php"; 
    header("Location: $location");
    exit;
  }
}

/*
 * Below is the login form.  You can change the html to suit your needs
 * however you want, makeing sure that you keep the form field names the
 * same. 
 *
 * The required form field names:
 *
 * login	this is a hidden field to indicate that the form should
 *		be processed.
 *
 * username	this is the username entered
 *
 * password 	this is the password entered
 *
 */

$set_focus_control = 'username';
include("header.inc.php");

?>
<form name="theform" action="<?PHP echo "$baselocation/login.php"; ?>" method=post>
<input type=hidden name=login value=1>
<CENTER><font class=mainheading>PHP-SpamAssassin Configuration User Login</font></CENTER>
<BR>
<table BORDER=0 ALIGN=CENTER>
<?
if($loginerror > 0) {
?>
	<tr>
		<td colspan=2><font class=main><b>Login Failed, Please try again!</b></font></td>
	</tr>
<?
}
?>
	<tr>
		<td ALIGN=RIGHT><font class=main>Username:</font></td>
		<td><input name=username type=text size=20 maxlength=20></td>
	</tr>
	<tr>
		<td ALIGN=right><font class=main>Password:</font></td>
		<td><input name=password type=password size=20></td>
	</tr>
	<tr>
		<td colspan=2 align=center><input type=submit name=submit value="Login"></td>
	</tr>
</table>
</form>

<?
include("footer.inc.php");
?>

